<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template match="/">

    <HTML>

    <head>

      <title>
         <xsl:value-of select="Bibliography/FolderName"/> Bibliography (MLA Style)
      </title>
    </head>

      <BODY>
 	   	
	<table border="0" width="40%" cellspacing="0" cellpadding="2">
	  <tr><td>

           <b><font face="MS Sans Serif" size="2">
             <xsl:value-of select="Bibliography/FolderName"/> Bibliography (MLA Style)
           </font></b>
            <p/>
	  </td></tr>
	  
	  <tr><td>
          <xsl:apply-templates select="Bibliography/FolderDetails"/>
          <xsl:apply-templates select="Bibliography/SnippetDetails"/>
	  </td></tr>

  <tr>
    <td><hr size="1"/><font face="MS Sans Serif" size="1">MLA Style Bibliography Generated
      by <a href="http://www.netsnippets.com">Net Snippets</a><sup>TM</sup></font></td>
  </tr>

	</table>

      </BODY>
    </HTML>

  </xsl:template>


  <xsl:template match="FolderDetails">
       <xsl:apply-templates select="FolderDetails"/>
       <xsl:apply-templates select="SnippetDetails"/>

  </xsl:template>



  <xsl:template match="SnippetDetails">
	     	

	      <xsl:if test="/Bibliography/Settings/Biblio_Name">

		<b>
                <xsl:choose>
                <xsl:when test="/Bibliography/Settings/Biblio_LinkSnippet">
                  <A>
                    <xsl:attribute name="HREF"><xsl:value-of select="Path"/></xsl:attribute>
                   <font size="1" face="MS Sans Serif">
                    <xsl:value-of select="Name"/><xsl:value-of select="Extension"/> 
                   </font> 
                  </A>
		</xsl:when> 
                
	        <xsl:otherwise>
                   <font size="1" face="MS Sans Serif">
                    <xsl:value-of select="Name"/><xsl:value-of select="Extension"/>
                   </font> 
                </xsl:otherwise>
		
		</xsl:choose>
		</b>

              </xsl:if> 
	       <br/>	
               <font size="1" face="MS Sans Serif">
   
               <xsl:apply-templates select="Biblio" order-by="Authors"/>
               </font>

  </xsl:template>


  <xsl:template match="Biblio">
    <xsl:choose>
    <xsl:when test="Type[.='Web Site']">
            <xsl:apply-templates select="Authors"/>
            <u><xsl:value-of select="Title"/></u>.
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Date_Created"/>
            <xsl:apply-templates select="Institution"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
    </xsl:when> 

    <xsl:when test="Type[.='Book']">
            <xsl:apply-templates select="Authors"/>
            <u><xsl:value-of select="Title"/></u>.
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
    </xsl:when> 

    <xsl:when test="Type[.='eZine']">
            <xsl:apply-templates select="Authors"/>
            "<xsl:value-of select="Title"/>."
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Name"/>
            <xsl:apply-templates select="Date_Created"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
    </xsl:when> 

    <xsl:when test="Type[.='eJournal']">
            <xsl:apply-templates select="Authors"/>
            "<xsl:value-of select="Title"/>."
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Name"/>
            <xsl:apply-templates select="Date_Created"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
    </xsl:when> 

    <xsl:when test="Type[.='Newspaper']">
            <xsl:apply-templates select="Authors"/>
            "<xsl:value-of select="Title"/>."
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Name"/>
            <xsl:apply-templates select="Date_Created"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
    </xsl:when> 

    <xsl:otherwise>
         <b><font color="#FF0000">Type not currently supported in MLA Style</font>: <xsl:value-of select="Type"/></b><br/>

    </xsl:otherwise>

    </xsl:choose>
    <p/>

 </xsl:template>  

  <xsl:template match="Authors">
      <xsl:value-of select="."/>.
  </xsl:template>  

  <xsl:template match="Compilers">
      Comp. 
      <xsl:value-of select="."/>.
  </xsl:template>  

  <xsl:template match="Editors">
      Ed.
      <xsl:value-of select="."/>.
  </xsl:template>  

  <xsl:template match="Translators">
      Trans.
      <xsl:value-of select="."/>.
  </xsl:template>  

  <xsl:template match="Date_Created">
      <xsl:value-of select="."/>.
  </xsl:template>  

  <xsl:template match="Institution">
      <xsl:value-of select="."/>.
  </xsl:template>  

  <xsl:template match="Date_Accessed">
      <xsl:value-of select="."/>
  </xsl:template>  

  <xsl:template match="Name">
      <u><xsl:value-of select="."/></u>.
  </xsl:template>  

  <xsl:template match="URL">
      &lt;<A><xsl:attribute name="HREF"><xsl:value-of select="."/></xsl:attribute><xsl:value-of select="."/></A>&gt;.
 
  </xsl:template>  

</xsl:stylesheet>