<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

  <xsl:template match="/">
	   	
            <font size="1" face="MS Sans Serif">
            <xsl:apply-templates select="MLA/Biblio"/>
            <p/>
            </font>

  </xsl:template>


  <xsl:template match="Biblio">
    <xsl:choose>
    <xsl:when test="Type[.='Web Site']">
            <xsl:apply-templates select="Authors"/>
            <u><xsl:value-of select="Title"/></u>.
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Date_Created"/>
            <xsl:apply-templates select="Institution"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
	</xsl:when> 

    <xsl:when test="Type[.='Book']">
            <xsl:apply-templates select="Authors"/>
            <u><xsl:value-of select="Title"/></u>.
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
    </xsl:when> 

    <xsl:when test="Type[.='eZine']">
            <xsl:apply-templates select="Authors"/>
            "<xsl:value-of select="Title"/>."
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Name"/>
            <xsl:apply-templates select="Date_Created"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
    </xsl:when> 

    <xsl:when test="Type[.='eJournal']">
            <xsl:apply-templates select="Authors"/>
            "<xsl:value-of select="Title"/>."
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Name"/>
            <xsl:apply-templates select="Date_Created"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
    </xsl:when> 

    <xsl:when test="Type[.='Newspaper']">
            <xsl:apply-templates select="Authors"/>
            "<xsl:value-of select="Title"/>."
            <xsl:apply-templates select="Compilers"/>
            <xsl:apply-templates select="Editors"/>
            <xsl:apply-templates select="Translators"/>
            <xsl:apply-templates select="Name"/>
            <xsl:apply-templates select="Date_Created"/>
            <xsl:apply-templates select="Date_Accessed"/>
            <xsl:apply-templates select="URL"/>
	</xsl:when> 

    <xsl:otherwise>
         <br/>Unknown Bibliography Type: <xsl:value-of select="Type"/><br/>

    </xsl:otherwise>

    </xsl:choose>

 </xsl:template>  

  <xsl:template match="Authors">
      <xsl:value-of select="."/>.
 
  </xsl:template>  

  <xsl:template match="Compilers">
      Comp. 
      <xsl:value-of select="."/>.
 
  </xsl:template>  

  <xsl:template match="Editors">
      Ed.
      <xsl:value-of select="."/>.
 
  </xsl:template>  

  <xsl:template match="Translators">
      Trans.
      <xsl:value-of select="."/>.
 
  </xsl:template>  

  <xsl:template match="Date_Created">
      <xsl:value-of select="."/>.
  </xsl:template>  

  <xsl:template match="Institution">
      <xsl:value-of select="."/>.
  </xsl:template>  

  <xsl:template match="Date_Accessed">
      <xsl:value-of select="."/>
  </xsl:template>  

  <xsl:template match="Name">
      <u><xsl:value-of select="."/></u>.
  </xsl:template>  

  <xsl:template match="URL">
      &lt;<A><xsl:attribute name="HREF"><xsl:value-of select="."/></xsl:attribute><xsl:value-of select="."/></A>&gt;.
 
  </xsl:template>   

</xsl:stylesheet>